Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » IAM (Eclipse Integration for Apache Maven) » Parent: null:maven-eclipse-plugin:maven-plugin:2.8 of project(Parent: null:maven-eclipse-plugin:maven-plugin:2.8 of project)
Parent: null:maven-eclipse-plugin:maven-plugin:2.8 of project [message #640166] Fri, 19 November 2010 12:16
swapnil patil is currently offline swapnil patilFriend
Messages: 2
Registered: November 2010
Junior Member
Hi All,

getting following error while executing the

mvn -e -DdownloadSources=true eclipse:eclipse
command.

please help me to solve this. Its very Urgent.


+ Error stacktraces are turned on.
[INFO] Scanning for projects...
[INFO] ------------------------------------------------------------ ------------
[ERROR] BUILD ERROR
[INFO] ------------------------------------------------------------ ------------
[INFO] Error building POM (may not be this project's POM).


Project ID: unknown:maven-eclipse-plugin

Reason: Parent: null:maven-eclipse-plugin:maven-plugin:2.8 of project: unknown:maven-eclipse-plugin has wrong packaging: maven-plugin. Must be 'pom'. for project unknown:maven-eclipse-plugin


[INFO] ------------------------------------------------------------ ------------
[INFO] Trace
org.apache.maven.lifecycle.LifecycleExecutionException: Error resolving version for 'org.apache.maven.plugins:maven-eclipse-plugin': Unable to read the metadata file for artifact 'org.apache.maven.plugins:maven-eclipse-plugin:pom': Parent: null:maven-eclipse-plugin:maven-plugin:2.8 of project: unknown:maven-eclipse-plugin has wrong packaging: maven-plugin. Must be 'pom'. for project unknown:maven-eclipse-plugin
at org.apache.maven.lifecycle.DefaultLifecycleExecutor.verifyPl ugin(DefaultLifecycleExecutor.java:1549)
at org.apache.maven.lifecycle.DefaultLifecycleExecutor.getMojoD escriptor(DefaultLifecycleExecutor.java:1787)
at org.apache.maven.lifecycle.DefaultLifecycleExecutor.segmentT askListByAggregationNeeds(DefaultLifecycleExecutor.java:462)
at org.apache.maven.lifecycle.DefaultLifecycleExecutor.execute( DefaultLifecycleExecutor.java:175)
at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:32 Cool
at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:138)
at org.apache.maven.cli.MavenCli.main(MavenCli.java:362)
at org.apache.maven.cli.compat.CompatibleMain.main(CompatibleMa in.java:60)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAcce ssorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMe thodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at org.codehaus.classworlds.Launcher.launchEnhanced(Launcher.ja va:315)
at org.codehaus.classworlds.Launcher.launch(Launcher.java:255)
at org.codehaus.classworlds.Launcher.mainWithExitCode(Launcher. java:430)
at org.codehaus.classworlds.Launcher.main(Launcher.java:375)
Caused by: org.apache.maven.plugin.version.PluginVersionResolutionExcep tion: Error resolving version for 'org.apache.maven.plugins:maven-eclipse-plugin': Unable to read the metadata file for artifact 'org.apache.maven.plugins:maven-eclipse-plugin:pom': Parent: null:maven-eclipse-plugin:maven-plugin:2.8 of project: unknown:maven-eclipse-plugin has wrong packaging: maven-plugin. Must be 'pom'. for project unknown:maven-eclipse-plugin
at org.apache.maven.plugin.version.DefaultPluginVersionManager. resolveMetaVersion(DefaultPluginVersionManager.java:682)
at org.apache.maven.plugin.version.DefaultPluginVersionManager. resolvePluginVersion(DefaultPluginVersionManager.java:187)
at org.apache.maven.plugin.version.DefaultPluginVersionManager. resolvePluginVersion(DefaultPluginVersionManager.java:91)
at org.apache.maven.plugin.DefaultPluginManager.verifyPlugin(De faultPluginManager.java:179)
at org.apache.maven.plugin.DefaultPluginManager.loadPluginDescr iptor(DefaultPluginManager.java:1642)
at org.apache.maven.lifecycle.DefaultLifecycleExecutor.verifyPl ugin(DefaultLifecycleExecutor.java:1540)
... 15 more
Caused by: org.apache.maven.artifact.metadata.ArtifactMetadataRetrieval Exception: Unable to read the metadata file for artifact 'org.apache.maven.plugins:maven-eclipse-plugin:pom': Parent: null:maven-eclipse-plugin:maven-plugin:2.8 of project: unknown:maven-eclipse-plugin has wrong packaging: maven-plugin. Must be 'pom'. for project unknown:maven-eclipse-plugin
at org.apache.maven.project.artifact.MavenMetadataSource.retrie veRelocatedProject(MavenMetadataSource.java:200)
at org.apache.maven.project.artifact.MavenMetadataSource.retrie ve(MavenMetadataSource.java:299)
at org.apache.maven.plugin.version.DefaultPluginVersionManager. resolveMetaVersion(DefaultPluginVersionManager.java:673)
... 20 more
Caused by: org.apache.maven.project.ProjectBuildingException: Parent: null:maven-eclipse-plugin:maven-plugin:2.8 of project: unknown:maven-eclipse-plugin has wrong packaging: maven-plugin. Must be 'pom'. for project unknown:maven-eclipse-plugin

[Updated on: Fri, 19 November 2010 12:19]

Report message to a moderator

Previous Topic:Install Error on Helios
Next Topic:The plugin 'org.apache.maven.plugins:maven-eclispe-plugin' does not exist or no valid version could
Goto Forum:
  


Current Time: Sun Dec 21 12:18:33 GMT 2014

Powered by FUDForum. Page generated in 0.01552 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software